Replace account fields
curl --request PUT \
--url https://api.kavenio.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Retail LinkedIn",
"enabled": true,
"metadata": {
"label": "primary"
}
}
'import requests
url = "https://api.kavenio.com/v1/accounts/{accountId}"
payload = {
"displayName": "Retail LinkedIn",
"enabled": True,
"metadata": { "label": "primary" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Retail LinkedIn', enabled: true, metadata: {label: 'primary'}})
};
fetch('https://api.kavenio.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"organizationId": "<string>",
"providerAccountId": "<string>",
"enabled": true,
"isActive": true,
"scopes": [
"<string>"
],
"permissions": [
"<string>"
],
"metadata": {},
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"profileId": "<string>",
"username": "<string>",
"displayName": "<string>",
"profilePicture": "<string>",
"profileUrl": "<string>",
"parentAccountId": "<string>",
"tokenExpiresAt": "<string>",
"readiness": {
"ready": true,
"checkedAt": "<string>",
"reconnectRecommended": true,
"selectedDestinationId": "<string>",
"selectedDestinationName": "<string>",
"missingScopes": [
"<string>"
],
"missingPermissions": [
"<string>"
],
"missingDestinations": [
"<string>"
],
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"capabilities": [
{
"supported": true,
"reason": "<string>",
"requiredScopes": [
"<string>"
],
"requiredPermissions": [
"<string>"
]
}
]
},
"adAccountsCacheExpiresAt": "<string>",
"lastError": "<string>",
"lastHealthCheckedAt": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Accounts
Replace account
Updates editable connected account fields. Public metadata updates must not include provider credential fields.
PUT
/
v1
/
accounts
/
{accountId}
Replace account fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Was this page helpful?
⌘I